using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkOptimusTouMaterialIdsGetTouMaterials
{

    /*
        物料集合名称
    */
    private string? materialName;


    /*
        物料id
    */
    private long? materialId;


    /*
        物料类型，1: 商品；2:权益
    */
    private long? materialType;


    /*
        物料主题类型, 1促销活动;2热门主题;3精选榜单;4行业频道等;5其他
    */
    private long? subject;


    /*
        开始时间，Unix时间戳
    */
    private long? startTime;


    /*
        结束时间，Unix时间戳
    */
    private long? endTime;



    [JsonPropertyName("material_name")]
    public string? MaterialName
    {
        get => materialName;
        set => this.materialName = value;
    }

    [JsonPropertyName("material_id")]
    public long? MaterialId
    {
        get => materialId;
        set => this.materialId = value;
    }

    [JsonPropertyName("material_type")]
    public long? MaterialType
    {
        get => materialType;
        set => this.materialType = value;
    }

    [JsonPropertyName("subject")]
    public long? Subject
    {
        get => subject;
        set => this.subject = value;
    }

    [JsonPropertyName("start_time")]
    public long? StartTime
    {
        get => startTime;
        set => this.startTime = value;
    }

    [JsonPropertyName("end_time")]
    public long? EndTime
    {
        get => endTime;
        set => this.endTime = value;
    }

}

